/*Reset*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    line-height: 28px;
    background-image: url("../images/clouds.jpg");
    color: #333;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    height: 100vh;
    display: flex;
    flex-direction: column;
}

/* Header */
header {
    background: #1e2a38;
    color: white;
    padding: 20px;
    display: flex;
    justify-content: flex-start;
}

/* Containers */
#container,
#container-featured,
#container-footer {
    width: 90%;
    max-width: 1100px;
    margin: 0 auto;
}

#container {
    padding-top: 10px;
    margin-left: 20px;
}

#logga {
    object-fit: contain;
    height: 100%;
}

#logo {
    font-size: 30px;
    text-decoration: underline;
}

#nav-links {
    list-style: none;
    display: flex;
    gap: 30px;
    margin-top: 5px;
}

#nav-links a {
    text-decoration: none;
    color: white;
    font-weight: bold;
}

#nav-links a:hover {
    color: #00bcd4;
}

/* Upptäck */
#upptäck {
    color: white;
    text-align: center;
    padding: 60px;
    margin-top: 50px;
    margin-bottom: 50px;
}

#upptäck-content {
    background: rgba(0, 0, 0, 0.6);
    display: inline-block;
    padding: 30px;
    border-radius: 8px;
}

#upptäck h2 {
    font-size: 35px;
    margin-bottom: 15px;
}

#upptäck p {
    margin-bottom: 20px;
}

/* Knappar */
#btn1 {
    display: inline-block;
    background: #00bcd4;
    color: white;
    padding: 15px 30px;
    text-decoration: none;
    border-radius: 5px;
    font-weight: bold;
}

#btn1:hover {
    background: #0097a7;
}

.btn2 {
    display: inline-block;
    margin-top: 16px;
    background: #1e2a38;
    color: white;
    padding: 10px 16px;
    text-decoration: none;
    border-radius: 5px;
}

.btn2:hover {
    background: #32475b;
}

/* Featured */
#featured {
    padding: 40px;
    text-align: center;
}

#featured h2 {
    margin-bottom: 20px;
}

/* Card */
#card-container {
    display: flex;
    gap: 30px;
    justify-content: center;
    flex-wrap: wrap;
}

.card {
    background: rgba(255, 255, 255, 0.505);
    border-radius: 10px;
    overflow: hidden;
    width: 100%;
    max-width: 300px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    padding-bottom: 15px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}


.card img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.card h3 {
    margin: 10px;
}

.card p {
    padding: 10px;
}

/* Footer */
footer {
    background: #1e2a38;
    color: white;
    text-align: center;
    padding: 15px;
    margin-top: 20px;
}
/*Info kontakt*/
#contact-info {
    font-size: 18px;
    margin-bottom: 15px;
}

/* Formulär */
form {
    background: rgba(255, 255, 255, 0.66);
    padding: 30px;
    max-width: 500px;
    margin: 40px auto;
    border-radius: 10px;
    box-shadow: 0 6px 15px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
}

form h2 {
    margin-bottom: 20px;
    text-align: center;
}

form label {
    display: block;
    margin-top: 15px;
    font-weight: bold;
}

form input,
form textarea,
form select {
    width: 100%;
    padding: 10px;
    margin-top: 6px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 15px;
}

form textarea {
    resize: vertical;
    min-height: 120px;
}

form button {
    margin-top: 20px;
    width: 100%;
    padding: 12px;
    background: #1c2f31;
    color: white;
    border: none;
    border-radius: 5px;
    font-size: 16px;
    font-weight: bold;
    cursor: pointer;
}

form button:hover {
    background: #33575a;
}

form p {
    margin-left: auto;
    margin-right: auto;
    width: 90%;
}

fieldset {
    padding: 10px;
    border-radius: 10px;
}

/* Map */
#my-map {
    width: 80%;
    max-width: 1000px;
    height: 500px;
    margin: 20px auto;
    border-radius: 12px;
    border: 1px solid #ccc;
}

/* Suggestions */
#suggestions {
    list-style: none;
    margin-top: 40px;
    padding: 0;
    border: 1px solid #ccc;
    max-width: 300px;
    position: absolute;
    background: white;
    z-index: 1000;
}

#suggestions li {
    padding: 5px 10px;
    cursor: pointer;
}

#suggestions li:hover {
    background-color: #eee;
}

#destinations {
    display: flex;
    align-items: flex-start;
}

#searchmap {
    width: 60%;
}

#dinfo {
    width: 20%;
    margin: 20px;
}

aside {
    width: 20%;
    margin: 20px;
}

main {
    flex: 1;
}

/* Aside cards */
aside #card-container {
    flex-direction: column;
    gap: 15px;
}

aside .card {
    width: 100%;
}

/* Country info */
#countryInfo {
    list-style: none;
    padding: 15px;
}

#countryInfo li {
    padding: 15px;
    margin-bottom: 15px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    background-color: #eeeeee6a;
    text-align: center;
}

#countryInfo img {
    margin: 10px 0;
    border-radius: 5px;
    max-width: 100px;
}
/*Om oss*/
#omoss {
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#gallery{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
    justify-content: center;
}
.oobild{
    flex-basis: 200px;
    flex-grow: 1;
}
iframe{
    margin: 15px;
    width: 90%;
     aspect-ratio: 16 / 9;
    
}

/* RESPONSIV DESIGN */
@media (max-width: 1024px) {

    aside{
        margin: 0;
    }

    #container,
    #container-featured,
    #container-footer {
        width: 100%;
        margin: 0 auto;
    }

    #nav-links {
        flex-direction: column;
        gap: 10px;
    }

    #upptäck {
        padding: 30px 20px;
        text-align: center;
    }

    #upptäck-content {
        padding: 20px;
        font-size: 16px;
    }

    #card-container {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    #destinations {
        flex-direction: column;
    }

    #searchmap,
    #dinfo {
        width: 95%;
        margin: 10px auto;
        
    }

    #my-map,
    aside {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    form {
        width: 95%;
        padding: 20px;
    }

    #countryInfo li {
        font-size: 14px;
        padding: 10px;
    }

    #featured h2,
    #upptäck h2 {
        font-size: 28px;
    }

    #upptäck p,
    #countryInfo p {
        font-size: 14px;
    }

    #gallery{
        width: 90%;
    }
    .oobild{
        width: 100%;
    }
}
/*Mobil*/
@media (max-width: 600px) {
    
    #nav-links {
        font-size: 14px;
    }

    #upptäck h2 {
        font-size: 24px;
    }

    #upptäck-content {
        padding: 15px;
    }

    .card {
        width: 90%;
    }

    form input,
    form textarea,
    form select,
    form button {
        font-size: 14px;
    }

    #my-map {
        height: 300px;
    }
}